Upstream information

CVE-2021-30851 at MITRE

Description

A memory corruption vulnerability was addressed with improved locking. This issue is fixed in Safari 15, tvOS 15, watchOS 8, iOS 15 and iPadOS 15. Processing maliciously crafted web content may lead to code execution.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1192063 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
HPE-Helion-OpenStack-8-2021-3861
HPE-Helion-OpenStack-8-2022-142
SUSE CaaS Platform 4.0
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-3769
SUSE Enterprise Storage 6
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-Storage-6-2021-3769
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-3769
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-3769
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-3769
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-18.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-18.1
  • libwebkit2gtk3-lang >= 2.34.1-18.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-3874
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-18.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-18.1
  • libwebkit2gtk3-lang >= 2.34.1-18.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-18.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-3874
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-18.1
  • webkit2gtk3-devel >= 2.34.1-18.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-3874
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-18.1
  • webkit2gtk3-devel >= 2.34.1-18.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2021-3874
SUSE Linux Enterprise Server 12 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
  • webkit2gtk3-devel >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-3861
SUSE-SLE-SERVER-12-SP2-BCL-2022-142
SUSE Linux Enterprise Server 12 SP3-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-3861
SUSE-SLE-SERVER-12-SP3-BCL-2022-142
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2021-3861
SUSE-SLE-SERVER-12-SP3-ESPOS-2022-142
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-3861
SUSE-SLE-SERVER-12-SP3-2022-142
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-3861
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-142
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-3861
SUSE-SLE-SERVER-12-SP4-LTSS-2022-142
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-3861
SUSE-SLE-SERVER-12-SP5-2022-142
SUSE Linux Enterprise Server 15 SP1-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-3769
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-3769
SUSE Linux Enterprise Server 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-3769
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-3861
SUSE-SLE-SAP-12-SP3-2022-142
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-3861
SUSE-SLE-SAP-12-SP4-2022-142
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-3769
SUSE Linux Enterprise Server for SAP Applications 15
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-3.87.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-3.87.1
  • libwebkit2gtk3-lang >= 2.34.1-3.87.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-3.87.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-3.87.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-3.87.1
  • webkit2gtk3-devel >= 2.34.1-3.87.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-3769
SUSE Linux Enterprise Software Development Kit 12 SP5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk3-devel >= 2.34.3-2.82.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-3861
SUSE-SLE-SDK-12-SP5-2022-142
SUSE OpenStack Cloud 8
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-3861
SUSE-OpenStack-Cloud-8-2022-142
SUSE OpenStack Cloud 9
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-3861
SUSE-OpenStack-Cloud-9-2022-142
SUSE OpenStack Cloud Crowbar 8
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2021-3861
SUSE-OpenStack-Cloud-Crowbar-8-2022-142
SUSE OpenStack Cloud Crowbar 9
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-2.82.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-2.82.1
  • libwebkit2gtk3-lang >= 2.34.3-2.82.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-2.82.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-2.82.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-2.82.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-3861
SUSE-OpenStack-Cloud-Crowbar-9-2022-142
openSUSE Leap 15.2
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-lp152.2.25.3
  • libwebkit2gtk-4_0-37 >= 2.34.1-lp152.2.25.3
  • libwebkit2gtk3-lang >= 2.34.1-lp152.2.25.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-lp152.2.25.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-lp152.2.25.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-lp152.2.25.3
  • webkit-jsc-4 >= 2.34.1-lp152.2.25.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-lp152.2.25.3
  • webkit2gtk3-devel >= 2.34.1-lp152.2.25.3
  • webkit2gtk3-minibrowser >= 2.34.1-lp152.2.25.3
Patchnames:
openSUSE-2021-1557
openSUSE Leap 15.3
  • libjavascriptcoregtk-4_0-18 >= 2.34.1-18.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.34.1-18.1
  • libwebkit2gtk-4_0-37 >= 2.34.1-18.1
  • libwebkit2gtk-4_0-37-32bit >= 2.34.1-18.1
  • libwebkit2gtk3-lang >= 2.34.1-18.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.1-18.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.1-18.1
  • webkit-jsc-4 >= 2.34.1-18.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.1-18.1
  • webkit2gtk3-devel >= 2.34.1-18.1
  • webkit2gtk3-minibrowser >= 2.34.1-18.1
Patchnames:
openSUSE-SLE-15.3-2021-3874

List of packages in QA

Product(s) Package(s)
SUSE CaaS Platform 4.0
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Enterprise Storage 6
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Enterprise Storage 7
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise High Performance Computing 15-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise Server 15 SP1-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Server 15 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Linux Enterprise Server 15-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Server for SAP Applications 15
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-3.92.1
  • libwebkit2gtk-4_0-37 >= 2.34.3-3.92.1
  • libwebkit2gtk3-lang >= 2.34.3-3.92.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-3.92.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-3.92.1
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-3.92.1
  • webkit2gtk3-devel >= 2.34.3-3.92.1
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Manager Proxy 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Manager Retail Branch Server 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3
SUSE Manager Server 4.1
  • libjavascriptcoregtk-4_0-18 >= 2.34.3-23.3
  • libwebkit2gtk-4_0-37 >= 2.34.3-23.3
  • libwebkit2gtk3-lang >= 2.34.3-23.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2-4_0 >= 2.34.3-23.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.34.3-23.3
  • webkit2gtk-4_0-injected-bundles >= 2.34.3-23.3
  • webkit2gtk3-devel >= 2.34.3-23.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 webkit2gtk3 Released
SUSE CaaS Platform 4.0 webkit2gtk3 Released
SUSE CaaS Platform 4.5 webkit2gtk3 In progress
SUSE Enterprise Storage 6 webkit2gtk3 Released
SUSE Enterprise Storage 7 webkit2gtk3 In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS webkit2gtk3 In progress
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS webkit2gtk3 In progress
SUSE Linux Enterprise Module for Basesystem 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 webkit2gtk3 Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 webkit2gtk3 Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 webkit2gtk3 Already fixed
SUSE Linux Enterprise Server 12 SP2 BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 BCL webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server 15 ESPOS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP1 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP2 LTSS webkit2gtk3 In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 webkit2gtk3 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 webkit2gtk3 In progress
SUSE Linux Enterprise Server for SAP Applications 15 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 webkit2gtk3 In progress
SUSE Linux Enterprise Software Development Kit 12 SP5 webkit2gtk3 Released
SUSE Manager Proxy 4.1 webkit2gtk3 In progress
SUSE Manager Retail Branch Server 4.1 webkit2gtk3 In progress
SUSE Manager Server 4.1 webkit2gtk3 In progress
SUSE OpenStack Cloud 8 webkit2gtk3 Released
SUSE OpenStack Cloud 9 webkit2gtk3 Released
SUSE OpenStack Cloud Crowbar 8 webkit2gtk3 Released
SUSE OpenStack Cloud Crowbar 9 webkit2gtk3 Released